<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');

if($_GET['id']) $idnominacion=$_GET['id']; else $idnominacion=$_POST['id'];

if($idnominacion) {


	if($_POST['enviarActividad']=='1') {
	
		//GrabaRespuestaSolicitudFirma#PXPU#PMO#NO190015#1#1##Me lo pienso act 1
		//empresa,usuario,nominacion,revision,actividad,aceptado,obs
			
		$peticion='GrabaRespuestaSolicitudFirma#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#'.$idnominacion.'#'.$_GET['revision'].'#'.$_POST['actividad'].'#'.$_POST['aceptacion'].'#'.$_POST['observaciones'];
		$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
		
		if($_GET['traza']=='si') {
			echo "<p>".$peticion."</p>";
			print_r($resultado);
		}
		
		$valorRespuesta=explode('#',$resultado[0]['Error']);
		
		if($valorRespuesta[0]=='1') {
			$valores=explode('#',$resultado[0]['Error']);
			?><script>alert('ERROR: <?php echo $valores[1]; ?>',null,'error');</script><?php
		}
		else {
			?><script>alert('Firma enviada correctamente.',null,'ok');</script><?php
		}
		
	}


	unset($_SESSION['nominacion']);

	$peticion='CargaInfoNominacionFirma#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#'.$idnominacion;
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	if($resultado[0]['Error']) {
		$valores=explode('#',$resultado[0]['Error']);
		?><p class="error">Error: <?php echo $valores[1]; ?></p><?php
	}
	else {
	
		$_SESSION['nominacion']=$resultado[0];
		
		$cabecera=arreglaArrayPXMobileProxiumResult($_SESSION['nominacion']['DatosCabecera']);
		$gridActividades=arreglaArrayPXMobileProxiumResult($_SESSION['nominacion']['GridActividades']);
	
		?>
		
        <h2>Nominación Nº <?php echo $idnominacion; ?></h2>
        
        
                
		<div id="popupDetalle" class="popup" style="display:none"></div>
		<div id="popupDetalleContenido" class="popupContenidoScroll ancho600" style="display:none" >
            
            <form id="formularioActividad" name="formularioActividad" method="post" action="?id=<?php echo $idnominacion; ?>&revision=<?php echo $_SESSION['nominacion']['Revision'] ?><?php if($_GET['traza']=='si') { ?>&traza=si<?php } ?>">
            
            	<input type="hidden" name="enviarActividad" id="enviarActividad" value=""/>
            	<input type="hidden" name="actividad" id="actividad" value=""/>
            
                <div id="datosActividad"></div>
                
                <div id="bloqueFirma">
                
                    <table style="margin:0 auto">
                    <tr><td><input type="radio" name="aceptacion" id="aceptacionS" value="S" class="checkGrande"/></td><td><p>Aceptar</p></td><td><input type="radio" name="aceptacion" id="aceptacionN" value="N" class="checkGrande" style="margin-left:20px"/></td><td><p>Rechazar</p></td></tr> 
                    </table>
                    
                    <p style="margin-top:0">Observaciones:<br /><textarea name="observaciones" id="observaciones" rows="3" class="campo" style="width:95%"></textarea></p>
                    
                    <p><input type="button" name="botonEnviar" id="botonEnviar" value="ENVIAR" class="boton"/></p>
                
                </div>
                
                <p><input type="button" name="botonCancelar" id="botonCancelar" value="Cancelar" class="boton reducido"/></p>
           
          	</form>
            
		</div>
        
		<table class="tablaFormateada">
        <tr>
        	<th colspan="2">Datos de la Nominación</th>
        </tr>
		<?php
		foreach($cabecera['Campos']['CampoPP'] as $datoCabecera) {
			?><tr><td align="left" ><strong class="mini"><?php echo $datoCabecera['Descripcion']; ?></strong></td><td align="left"><?php echo $datoCabecera['Dato']; ?></td></tr><?php
		}
		?>
		</table>
		<br />
		
        <table class="tablaFormateada tablaResponsive anchoMaximo" style="font-size:0.9em">
		
        <tr>
        <?php
		
		$columnas=$gridActividades['DefinicionColumnas']['DefColumna'];
		
		//Ordenamos las columnas según el orden de tabulación devuelto en el ws
		function ordenarColumnas($a,$b) {
			return $a['OrdenTabulacion']-$b['OrdenTabulacion'];
		}
		usort($columnas,'ordenarColumnas');
		
		foreach($columnas as $columna) {
			?><th><?php echo $columna['Descripcion']; ?></th><?php
		}
		
		?>
		</tr>
        
		<?php foreach(arreglaArrayClave($gridActividades['Filas']['Fila']) as $fila) { ?>
        
        	<tr class="linea clicable <?php if($fila['Firmable']=='S') { ?>firmable verde<?php } else { ?>grisOscuro<?php } ?>" actividad="<?php echo $fila['Actividad']; ?>" firmable="<?php echo $fila['Firmable']; ?>">
            <?php
			//Antes de recorrer los datos, volvemos a recorrer la cabecera, para obtener los id con los que asociar (algunos vienen vacios y no están)
			foreach($columnas as $cabecera) {
				$linea=array();
				foreach($fila['DatosColumnas']['Columna'] as $columna) {
					if($cabecera['Orden']==$columna['Orden']) {
						$linea['Alineacion']=$cabecera['Alineacion'];
						$linea['Etiqueta']=$cabecera['Descripcion'];
						$linea['Dato']=$columna['Dato'];
					}
				}
				?><td align="<?php echo $linea['Alineacion']; ?>" data-label="<?php echo $linea['Etiqueta']; ?>" <?php if($linea['Dato']=='') { ?>class="ocultar600"<?php } ?>><?php echo $linea['Dato']; ?></td><?php
			}
			?>
            </tr>
			
		<?php } ?>
        
		</table>
		<?php
	}
}
else {
	?><p class="error">Error: No se ha especificado ninguna Nominación.</p><?php
}

?>
<script>

$(document).ready(function() {

	/* Recorremos todas las columnas de cada linea, para ver cuál es la última visible en el caso responsive */
	$('.linea').each(function(){
	
		var ultimoTd;
	
		$(this).children('td').each(function(){
			if( ! $(this).hasClass('ocultar600') ) ultimoTd=$(this);
		});
		
		ultimoTd.addClass('ultimaFila');
	
	});


	$('.clicable').on('click',function(){
	
		var actividad=$(this).attr('actividad');
		var firmable=$(this).attr('firmable');
		
		$('#popupCargando').show();
		
		$.post( "<?php echo $rutaHtml; ?>/contenidos/nominacion-detalle.php", { 'actividad' : actividad , } )
		.done(function(data) {
		
			$('#datosActividad').html(data);
			$('#actividad').val(actividad);
			
			if (firmable=='S') $('#bloqueFirma').show();
			else $('#bloqueFirma').hide();
			
			$('#popupDetalleContenido').css('top',$(window).scrollTop()+'px');
		
			$('#popupDetalle').show();
			$('#popupDetalleContenido').show();
			
			$('#popupCargando').hide();
		});
	
	});
	
	/* TECLADO INCRUSTADO DESACTIVADO */
	/*
	$('#observaciones').on('click',function(){
	
		$('#teclado').show();
		$('#valor').val( $('#observaciones').val() );
		$('#valorOculto').val( $('#observaciones').val() );
		$('#enter').attr('campoValor','observaciones');
		$('#enter').attr('forzarEnter','no');
	
	});
	*/
	
	$('#botonEnviar').on('click',function(){
	
		confirm('¿Deseas enviar la firma de esta actividad?')
		.done(function(){
		
			$('#enviarActividad').val(1);
		
			$('#popupCargando').show();
			$('#formularioActividad').submit();
		});
		
	});
	
	$('#botonCancelar').on('click',function(){
			
		$('#popupDetalle').hide();
		$('#popupDetalleContenido').hide();
					
	});

});

</script>

<?php
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
